# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [{
    'model_name': 'store',
    'model_label': _('store'),
    'model_label_plural': _('stores')
}, {
    'model_name': 'storeaddress',
    'model_label': _('store address'),
    'model_label_plural': _('store addresses')
}, {
    'model_name': 'storecause',
    'model_label': _('store cause'),
    'model_label_plural': _('store causes')
}, {
    'model_name': 'storedocument',
    'model_label': _('store document'),
    'model_label_plural': _('store documents')
}, {
    'model_name': 'storedocumentnumber',
    'model_label': _('store document number'),
    'model_label_plural': _('store document numbers')
}]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:store_{model['model_name']}_add",
        "perms": [f"store.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:store_{model['model_name']}_changelist",
        "perms": [
            f"store.view_{model['model_name']}",
            f"store.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('store'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'store'}},
    'perms': ['store.*'],
    'children': children
}]
